Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# filter.h File Reference

This header defines Filter and all of it's subclasses. More...

`#include <log4cplus/config.h>`
`#include <log4cplus/helpers/pointer.h>`
`#include <log4cplus/helpers/property.h>`
`#include <log4cplus/spi/loggingevent.h>`

Include dependency graph for filter.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | log4cplus
namespace | log4cplus::spi

## Detailed Description

This header defines Filter and all of it's subclasses.

Definition in file filter.h.